v.digit(1)

NAME

SYNOPSIS
v.digit
v.digit help
v.digit [-n] map=string [bgcmd=string]

  Flags:

-n  Create new file if it does not exist.

  Parameters:

map=string
    Name of input vector

bgcmd=string
    d.* commands to be used for background separated by ';' Default:

DESCRIPTION
v.digit is a vector map digitizer with graphical user interface. Attribute tables can be directly generated while digitizing (define in "Settings" first).

NOTES
The bgcmd option is intended to be used with display (d.*) commands. If several display commands are to be used to render the background they should be separated with the semi-colon ';' character. When run from the command line, these display commands will generally need to be "quoted" as they will contain spaces (see examples).

EXAMPLES
Start a monitor and display a raster to help setup and zoom to area of interest
    d.mon x0
    d.rast name_of_raster

Digitizing an area based on a existing raster map; creating a new vector map
    v.digit -n map=name_of_new_vector_map bgcmd="d.rast map=name_of_raster"

The "-n" flag specifies that your vector map does not yet exist and thus will be created with the name given by "map=". "bgcmd=" specifies a display (d.*) command and is set in "quotes" as it contains a space.

The v.digit GUI appears -- after exiting v.digit GUI the vector map "name_of_new_vector_map" is created.

After leaving v.digit, run:
    d.erase
    d.vect "name_of_new_vector_map"
The display should be cleared and the newly created vector should appear in the monitor.

Digitizing a second vector, using your first vector and the raster image as background

    v.digit -n map=name_of_second_vector \
      bgcmd="d.rast map=name_of_your_raster; d.vect map=name_of_new_vector_map"

The v.digit GUI appears and the layers defined with bgcmd are displayed in the background. As the bgcmd commands are executed as a series of commands (separated by a ";"), the last command (d.vect) displays over the top of the earlier raster image.

Combining bgcmd with d.save to use the existing display as a backdrop

    v.digit map=name bgcmd="`d.save -o | cut -f1 -d'#' | tr '\n' ';'`"
d.save will list the commands used to draw the current display; cut and tr are UNIX commands which are used to remove comments and trade newlines for semi-colons, respectively.

SEE ALSO
r.digit

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2005/02/22 01:17:33 $

Help Index